## flask-debugtoolbar 0.15.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: _themes
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-DebugToolbar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-DebugToolbar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-DebugToolbar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-DebugToolbar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

_themes:
	git clone git://github.com/Pylons/pylons_sphinx_theme.git _themes
	cd ..; git submodule update --init; cd docs

=== debian/changelog ===
flask-debugtoolbar (0.15.1+dfsg-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [911446d] d/watch: Use 'repacksuffix' in uscan opts

  [ Kalyani Kenekar ]
  * [b5e8aa2] New upstream version 0.15.1+dfsg
  * [51c437d] Rebuild patch queue from patch-queue branch
    Dropped patch (included upstream):
    docs-Add-additional-extension-so-flask-theme-is-found.patch
  * [3ec99e1] d/control: Add myself to Uploaders

 -- Kalyani Kenekar <kalyaniknkr@gmail.com>  Sun, 05 May 2024 15:00:07 +0530

flask-debugtoolbar (0.14.1+dfsg-2) unstable; urgency=medium

  * [6da13be] d/control: Bump Standards-Version to 4.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Apr 2024 19:08:57 +0200

flask-debugtoolbar (0.14.1+dfsg-1) unstable; urgency=medium

  * [5405f77] New upstream version 0.14.1+dfsg
  * [09507c3] Initial packaging and Debinaziation
    (Closes: #1065749)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Apr 2024 19:07:34 +0200

=== debian/control ===
Source: flask-debugtoolbar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kalyani Kenekar <kalyaniknkr@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
Build-Depends-Indep:
 python3-setuptools,
 pybuild-plugin-pyproject,
 flask-sqlalchemy-doc <!nodoc>,
 python3-flask (>= 2.2.0) <!nocheck !nodoc>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-flask-sqlalchemy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/pallets-eco/flask-debugtoolbar
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-debugtoolbar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-debugtoolbar

Package: python-flask-debugtoolbar-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Debugging toolbar overlay information for Flask applications (Documentation)
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds a toolbar overlay to Flask applications containing
 useful information for debugging.
 .
 This package installs the documentation for the library.

Package: python3-flask-debugtoolbar
Architecture: all
Depends:
 libjs-codemirror,
 libjs-jquery,
 libjs-jquery-tablesorter,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-debugtoolbar-doc,
Description: Debugging toolbar overlay information for Flask applications (Python3)
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds a toolbar overlay to Flask applications containing
 useful information for debugging.
 .
 This package contain the Python3 version of this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask-debugtoolbar

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask_DebugToolbar*dist-info" | head -n1)` \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"

## flask-debugtoolbar 0.16.0+dfsg

=== debian/changelog ===
flask-debugtoolbar (0.16.0+dfsg-1) unstable; urgency=medium

  * [88abc06] New upstream version 0.16.0+dfsg
  * [5d0ebbe] Rebuild patch queue from patch-queue branch
    Dropped patch (not needed any more):
    docs-Fix-wrong-year-format-within-created-string.patch
    Adjusted, extended patch:
    docs-Don-t-use-external-intersphinx.patch
  * [cdc30cd] d/control: Add new and adjust build dependencies
  * [d4589c7] d/python3-flask-debugtoolbar.docs: Adjust listed files
  * [2d56bc5] d/rules: Search renamed folder for -doc build
  * [7ab3106] autopkgtests: Copy renamed folder tests in place

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Oct 2024 20:24:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,18 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ flit,
  python3-all,
 Build-Depends-Indep:
- python3-setuptools,
+ flask-sqlalchemy-doc <!nodoc>,
  pybuild-plugin-pyproject,
- flask-sqlalchemy-doc <!nodoc>,
+ python3-doc <!nodoc>,
  python3-flask (>= 2.2.0) <!nocheck !nodoc>,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-flask-sqlalchemy <!nocheck>,
+ python3-sphinxcontrib-log-cabinet <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/pallets-eco/flask-debugtoolbar

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask_DebugToolbar*dist-info" | head -n1)` \
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask_debugtoolbar*dist-info" | head -n1)` \
 	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: smoke
Depends:
 python3-all,
 python3-flask-sqlalchemy,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# uscan watch file for flask-debugtoolbar

version=4

opts="mode=git, \
      compression=gz, \
      repacksuffix=+dfsg, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
https://github.com/pallets-eco/flask-debugtoolbar.git \
      refs/tags/(\d\S+)
